## trawl 0.2.1

=== DESCRIPTION ===
Package: trawl
Type: Package
Title: Estimation and Simulation of Trawl Processes
Version: 0.2.1
Author: Almut E. D. Veraart
Maintainer: Almut E. D. Veraart <a.veraart@imperial.ac.uk>
Description: Contains R functions for simulating and estimating integer-valued trawl processes as 
    described in the article "Modelling, simulation and inference for
    multivariate time series of counts using trawl processes" by A. E. D. Veraart 
    (Journal of Multivariate Analysis, 2018, to appear, preprint available at:
    <https://papers.ssrn.com/sol3/papers.cfm?abstract_id=3100076> ) and for 
    simulating random vectors from the bivariate negative binomial and the bi- and trivariate 
    logarithmic series distributions.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.0
Depends: R (>= 3.4.0)
Imports: DEoptim, graphics, MASS, rootSolve, Runuran, squash, stats,
        TSA
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-08-15 19:10:11 UTC; averaart
Repository: CRAN
Date/Publication: 2018-08-16 11:50:03 UTC

## trawl 0.2.2

=== DESCRIPTION ===
Package: trawl
Type: Package
Title: Estimation and Simulation of Trawl Processes
Version: 0.2.2
Author: Almut E. D. Veraart
Maintainer: Almut E. D. Veraart <a.veraart@imperial.ac.uk>
Description: Contains R functions for simulating and estimating integer-valued trawl processes as 
    described in the article Veraart (2019),"Modeling, simulation and inference for
    multivariate time series of counts using trawl processes", Journal of Multivariate Analysis,
    169, pages 110-129,
    <doi:10.1016/j.jmva.2018.08.012> and for 
    simulating random vectors from the bivariate negative binomial and the bi- and trivariate 
    logarithmic series distributions.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 4.0.0)
Imports: DEoptim, ggplot2, ggpubr, graphics, MASS, rootSolve, Runuran,
        stats, squash, TSA
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-02-22 13:25:39 UTC; customer
Repository: CRAN
Date/Publication: 2021-02-22 17:30:02 UTC

## trawl 0.2.3

=== Makefile ===
#/usr/bin/make -f

INSTALL_PROGRAM = install -D -m 0755
INSTALL_DATA = install -D -m 0644

prefix = ${DESTDIR}/usr
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
datarootdir = $(prefix)/share
libdir = $(exec_prefix)/lib
zshcpl = $(datarootdir)/zsh/site-functions

BIN_D := trawld
BIN_C := trawlcat
BIN_DB := trawldb

MESON = meson


all: build

distclean: clean

clean:
	-cargo clean

build-arch: build

build-independent: build

binary: build

binary-arch: build

binary-independent: build

build: 
	cargo build --release

install: 
	$(INSTALL_PROGRAM) "./target/release/$(BIN_C)" "$(bindir)/$(BIN_C)"
	$(INSTALL_PROGRAM) "./target/release/$(BIN_D)" "$(bindir)/$(BIN_D)"
	$(INSTALL_PROGRAM) "./target/release/$(BIN_DB)" "$(bindir)/$(BIN_DB)"
	$(INSTALL_DATA) "./$(BIN_D).service" "$(libdir)/systemd/user/$(BIN_D).service"


uninstall:
	rm -f "$(bindir)/$(BIN_C)"
	rm -f "$(bindir)/$(BIN_D)"
	rm -f "$(bindir)/$(BIN_DB)"
	rm -f "$(libdir)/systemd/user/$(BIN_D).service"

run-test:
	cargo test -- --test-threads=1

code-coverage:
	cargo build --bin $(BIN_D)
	cargo targe/debug/$(BIN_D) &
	cargo tarpaulin -b -- --test-threads 1 
	killall $(BIN_D)

## trawl 0.2.3-1regolith

=== debian/changelog ===
trawl (0.2.3-1regolith-noble) noble; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 25 Aug 2024 17:21:49 +0000

trawl (0.2.3) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * Added function get_props_changed_signal
  * feat: make trawlcat into a library
  * chore: bump trawlcat package version
  * feat: use rescat for the trawlcat binary
  * chore: pin zvariant version to 3.4.1
  * chore(trawldb): bump package version
  * chore(trawlcat): bump trawldb version to 0.2.4
  * chore(trawlcat): bump package version

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 25 Oct 2023 07:40:09 -0700

trawl (0.2.2) focal; urgency=medium

  * Fix build

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 02 Sep 2022 14:09:31 -0700

trawl (0.2.1-2) focal; urgency=medium

  * Add virtual package regolith-resource-loader for sway support

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 02 Sep 2022 12:00:30 -0700

trawl (0.2.1) focal; urgency=medium

  * Disable makefile install due to debian/github build issues. Better dependency modeling.  Fix debian install
  * Mention need to enable install target in makefile.  Misc cleanup

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 21 Aug 2022 14:23:04 -0700

trawl (0.2.0) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * Split into multiple binary packages
  * Updated Makefile to be compatible with old meson and ninja
  * Fixed unexpected program termination for (-I) args
  * Updated interface file
  * Moved client_api to dedicated repo
  * Removed install file for libtrawldb
  * Updated makefile

  [ Regolith Linux ]
  * Package metadata cleanup

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 21 Aug 2022 13:03:22 -0700

trawl (0.1-1) unstable; urgency=low

  * Initial release. 

 -- Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>  Mon, 25 Jul 2022 02:00:22 +0530

## trawl 0.2.5-1

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(INSTALL_PROGRAM) "./target/release/$(BIN_C)" "$(bindir)/$(BIN_C)"
 	$(INSTALL_PROGRAM) "./target/release/$(BIN_D)" "$(bindir)/$(BIN_D)"
 	$(INSTALL_PROGRAM) "./target/release/$(BIN_DB)" "$(bindir)/$(BIN_DB)"
-	$(INSTALL_DATA) "./$(BIN_D).service" "$(libdir)/systemd/user/$(BIN_D).service"
+	$(INSTALL_DATA) "./trawld/$(BIN_D).service" "$(libdir)/systemd/user/$(BIN_D).service"
 
 
 uninstall:

## trawl 0.2.5-1regolith

=== debian/changelog ===
trawl (0.2.5-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 31 Aug 2025 14:47:52 +0000

trawl (0.2.5) focal; urgency=medium

  [ Khosrow Moossavi ]
  * fix: create release tag from correct git sha
  * chore: remove update-changelog actions

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Feb 2025 02:33:57 +0000

trawl (0.2.4) focal; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * chore: add extra metadata to the packages
  * feat: use absolute versioning for dependencies
  * chore: bump version
  * chore: update zbus version
  * chore: bump versions
  * chore: drop zbus version to 4.3 to allow for debian packaging
  * chore: move the service file to inside the trawld package
  * chore: fix author name typo
  * chore: relax build dep on trawldb
  * chore: relax build deps on trawlcat

  [ Russell Howe ]
  * Fix typos in README.md

  [ Regolith Linux ]
  * fix: update build files for changed service file location

  [ Khosrow Moossavi ]
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * feat: enable github action to update changelog
  * chore: use debian email and full name for updating changelog

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 28 Jan 2025 12:38:08 -0500

## trawl 0.2.5-1-1regolith

=== debian/changelog ===
trawl (0.2.5-1-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 14 Oct 2025 01:21:46 +0000

trawl (0.2.5-1) focal; urgency=medium

  [ Manthan Patil ]
  * chore: migrate to clap 4

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

  [ Soumya Ranjan Patnaik ]
  * chore: update cargo.lock
  * chore: bump versions

  [ Ken Gilmer ]
  * Revert "chore: bump versions"
  * Revert "chore: update cargo.lock"
  * Revert "Merge pull request #8 from manthanabc/master"

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 14 Oct 2025 01:17:31 +0000

=== debian/control ===
Source: trawl
Section: utils
Priority: optional
Maintainer: Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>
Build-Depends: cargo, debhelper, libglib2.0-dev, meson 
Standards-Version: 4.5.0

Package: trawld
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Configuration Manager daemon for trawl

Package: trawldb
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, trawld
Description: A CLI for managing trawl resources

Package: trawlcat
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, trawld
Provides: regolith-resource-loader
Description: A CLI for fetching value of trawl resource while omitting surrounding quotes
